feldspar-compiler-0.4.0.2: Compiler for the Feldspar language

Feldspar.Compiler.Backend.C.Plugin.TypeCorrector

# Documentation

type TypeCatalog = Map String Type

data GlobalCollector

Constructors

GlobalCollector |

Instances

Transformation GlobalCollector |
Transformable GlobalCollector Variable |
Transformable GlobalCollector Definition |

data TypeCheckDown

Constructors

TypeCheckDown |
Fields globals :: TypeCatalog inDeclaration :: Bool

data TypeCheck

Constructors

TypeCheck |

Instances

Transformation TypeCheck |
Transformable TypeCheck Variable |
Transformable TypeCheck Declaration |
Transformable TypeCheck Program |
Transformable TypeCheck Block |
Transformable TypeCheck Definition |

data TypeCorrector

Constructors

TypeCorrector |

Instances

Transformation TypeCorrector |
Plugin TypeCorrector |
Transformable TypeCorrector Variable |
Transformable TypeCorrector Definition |